1 2 Previous Next 19 Replies Latest reply: Jul 9, 2011 11:38 AM by 594272 RSS

    Install the SDKV2.2

    789330
      Hello,

      I got some problems to install the SDKV2.2.
      It was downloaded form eDelivery. And I am following the Oracle Utilities Software Development Kit V2.2.0 Installation Guide.

      I am trying to create the project repository

      Setup
      The following are the steps in creating a project repository:
      •     Install an app server.
      •     Install an Oracle Utilities Software Development Kit Client or configure the app server for development.
      Note. Installing the Oracle Utilities Software Development Kit Client also configures the app server it is set up with to be a development app server. If the Oracle Utilities Software Development Kit Client was installed in the previous step, its installation already configured the app server for development and there is no need to execute this step.

      Can I install any app server, such as tomcat, OAS or weblogic?
      The SDK doesn't look like have an app server as the document. Because when I try to install the SDK client, it askes for the APP server.

      Thanks,
      Kerr
        • 1. Re: Install the SDKV2.2
          Mike S
          Kerr,

          When the SDK install asks for app server, it is asking for the location of the CC&B install (for example, C:\spl\ccbdmo). It is not asking for an application server such as Tomcat or Weblogic.

          Mike S.
          • 2. Re: Install the SDKV2.2
            789330
            Oh ~~

            But my server is installed on another linux machine.
            Does that mean I have to configurw Samba for this?

            Regards,
            Kerr
            • 3. Re: Install the SDKV2.2
              Luckys
              Should be obvious.
              Installation Guide clearly states that it executes scripts to configure the application server for development.
              Also, you are installing Oracle Utilities Software Development Kit Client which has to point to the *NIX ENVIRONment.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
              • 4. Re: Install the SDKV2.2
                789330
                Thanks Luckys!
                Yes, I see that

                Configure App Server for Development
                •     Switch to a project that uses the required version of the Oracle Utilities Software Development Kit.
                Note. It is important to first switch to a project with the required version of the Oracle Utilities Software Development Kit because the process of configuring an app server for development uses the current project's version of the Oracle Utilities Software Development Kit to configure it.
                •     Open the Oracle Utilities Software Development Kit Client Scripts folder by going through Start  Programs  Oracle Utilities Software Development Kit 2.2.0.x  Oracle Utilities Software Development Kit Client Scripts; x denotes the build number.
                •     Double-click on createNewEnv.bat to initiate configuration of an app server for development.

                But before I can use createNewEnv.bat, I need install the development tool (ClientSetup.exe). The second step

                "Enter the runtime appserver that this SDK is being used for. The name of this directory usually corresponds to the environment name"

                Have I missed anything?

                Regards,
                Kerr
                • 5. Re: Install the SDKV2.2
                  Luckys
                  I guess not.
                  The only thing missing is to double click the ClientSetup.exe.
                  • 6. Re: Install the SDKV2.2
                    789330
                    I did, The second step asks me to input

                    *"Enter the runtime appserver that this SDK is being used for. The name of this directory usually corresponds to the environment name"*

                    Which is a local directory.

                    I put the environment name "DEMO", and it does not accept it.
                    Error Message: Error, the Directory does not contain a valid appserver installation. Choose another directory or click Cancel to exit.

                    Regards,
                    Kerr
                    • 7. Re: Install the SDKV2.2
                      Mike S
                      Kerr,

                      The SDK requires that a CC&B environment exists on the windows machine you are installing it on. When it asks for the runtime appserver that this SDK is being used for, it is expecting a windows path to a local CC&B installation. DEMO isn't sufficient, it would have to be a full path (for example, C:\spl\DEMO). The directory path you type in must exist on the machine and be a valid CC&B installation.

                      I doubt the SAMBA mount would work...the CC&B classpaths wouldn't be valid for windows.

                      Mike S.
                      • 8. Re: Install the SDKV2.2
                        789330
                        The last thing I want to do is to install CC&B environment in my laptop.
                        I read the installation uide, and it needs so many things.
                        • 9. Re: Install the SDKV2.2
                          BigBro
                          Hi
                          I am also getting the same problem
                          My ccb is in the same machine but still I am getting the same error.
                          Can you please help me.
                          F:\spl\DEV_1
                          • 10. Re: Install the SDKV2.2
                            594272
                            Did you guys solve this yet? I have the same problem.

                            I have the OUAF also installed under c:\ouaf\demo but the path will not be accepted. What am I missing?

                            I really need to get this installed.

                            Any help greatly appreciated.
                            • 11. Re: Install the SDKV2.2
                              494883
                              Make sure the value you enter for the app server location is the folder on your local machine where the spl app has been installed. For eg., a typical installation would install the spl application under C:\spl\<appName>. This folder should contain folders like bin, etc, splapp among others. So the value you need to specify is C:\spl\<appName>.
                              • 12. Re: Install the SDKV2.2
                                594272
                                Yes, that is exactly what I tried. Plus many other options.
                                I just do not understand why it will not accept this folder.

                                Here is my folder structure:
                                http://www.box.net/shared/salarq2u7oik2b50orqg

                                Thank you for looking into this.

                                Steve
                                • 13. Re: Install the SDKV2.2
                                  494883
                                  Can you post the contents of the file PRODUCT.TXT under %SPLEBASE%/etc?
                                  • 14. Re: Install the SDKV2.2
                                    user1071262
                                    I have a feeling you are onto the conclusion I just arrived at. The SDK is not compatible with the 4.1 app server. Should be a 4.0? Right?

                                    Here is the contents from the products file.
                                    FW V4.1.0 base f1
                                    MDF V2.0.1 d1 d1
                                    MDM V2.0.1 d2 d2

                                    Thank you again,

                                    Steve
                                    1 2 Previous Next